# GOSe 6mo imputation for CENTER-TBI 

This repository contains the code for imputing the 6 months GOSe using
a multi-state model in CENTER-TBI.
The workflow is completely automated using snakemake and a singularity
container with the required dependencies is awailable at [zenodo.org](https://zenodo.org/record/2641161) 
(DOI: 10.5281/zenodo.2641161).

Singularity >= 2.6.0 is required to run the code in a container, alternatively
the dependencies can be installed manually (check the `container-recipe` file).

To get startet, download the code and `cd` in the repository folder
```bash
git clone https://git.center-tbi.eu/kunzmann/gose-6mo-imputation-production.git
cd gose-6mo-imputation-production
```
Next, download the pre-build container image from zenodo.org via the 
provided script
```bash
./scripts/download-container
```
This will download the `container.sif` file (~1Gb) in the current working 
directory.
An automated download script via the Neurobot-API is provided but require
that the Neurobot username and API token are available as environment variables
```bash
export NEUROBOT_USR=[your-neurobot-username]
export NEUROBOT_API=[your-neurobot-api-token]
```
The required data set (for version 1.2 on the Neurobot staging server) can 
then automatically be downloaded via
```bash
singularity exec container.sif snakemake download
```
Alternatively, a .csv file with the correct column names / ordering can 
directly be places in the `data` subfolder (see `scripts/check-inputs` for 
detailed specification).
The imputation can then be started by invoking
```bash
singularity exec container.sif snakemake impute
```
This produces a .html and a .csv file with imputed values in the subfolder 
`output`.

